> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# About me

> 
  Get the current user's information and their access to teams and collections.

  This endpoint returns the user's authentication metadata, including their ID and email,
  as well as the IDs of teams and collections they have access to.
  



## OpenAPI

````yaml get /v2/users/me
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/users/me:
    get:
      tags:
        - Users
      summary: About me
      description: |2-

          Get the current user's information and their access to teams and collections.

          This endpoint returns the user's authentication metadata, including their ID and email,
          as well as the IDs of teams and collections they have access to.
          
      responses:
        '200':
          description: Current user information
          content:
            application/json:
              schema:
                type: object
                properties:
                  sub:
                    type: string
                  authenticationMethod:
                    type: string
                    enum:
                      - token
                      - apiKey
                      - specialToken
                  email:
                    type: string
                  firstName:
                    type: string
                  lastName:
                    type: string
                  identities:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        providerName:
                          type: string
                        providerType:
                          type: string
                        issuer:
                          type: string
                          nullable: true
                        primary:
                          type: boolean
                        dateCreated:
                          type: number
                      required:
                        - userId
                        - providerName
                        - providerType
                        - issuer
                        - primary
                        - dateCreated
                  userStatus:
                    type: string
                    enum:
                      - UNCONFIRMED
                      - CONFIRMED
                      - EXTERNAL_PROVIDER
                      - RESET_REQUIRED
                      - FORCE_CHANGE_PASSWORD
                  customAttributes:
                    type: object
                    properties:
                      promoGroupName:
                        type: string
                        nullable: true
                      isNewUser:
                        type: boolean
                      isTermsAgreed:
                        type: boolean
                      theme:
                        type: string
                      ailsaPreferences:
                        type: object
                        properties:
                          activeWidgets:
                            type: array
                            items:
                              type: string
                          isWidgetsHidden:
                            type: boolean
                          tableShownColumns:
                            type: array
                            items:
                              type: string
                        required:
                          - activeWidgets
                          - isWidgetsHidden
                          - tableShownColumns
                      internalPermissions:
                        type: array
                        items:
                          type: string
                          enum:
                            - user.admin
                            - user.dev
                            - api.platform
                            - api.beroe
                            - beroe.analyst
                          description: >-
                            Internal permissions are only set for Forestreet
                            internal users, such as administrators or platform
                            APIs that require special access to certain
                            endpoints. Since our endpoints are public, we need
                            these permissions to restrict access to certain
                            functionalities.
                        description: >-
                          An array of internal permissions, typically used to
                          define what a user can do, or the permissions required
                          to access certain endpoints.
                    required:
                      - promoGroupName
                      - isNewUser
                      - isTermsAgreed
                      - theme
                required:
                  - sub
                  - authenticationMethod
        '403':
          description: User not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: User not authenticated
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````